<?php
/*-------------------------
	Autor: Jose Luis Robles
	Mail: jrobleso@gmail.com
	---------------------------*/
session_start();
if (!isset($_SESSION['user_login_status']) and $_SESSION['user_login_status'] != 1 and $_SESSION['permiso']) {
	header("location: login.php");
	exit;
}

$active_nueva_facturas_admin = "active";
$active_nueva_facturas = "";
$active_productos = "";
$active_clientes = "";
$active_usuarios = "";
$title = "Nueva Bonificacion";


/* Connect To Database*/
require_once("config/db.php"); //Contiene las variables de configuracion para conectar a la base de datos
require_once("config/conexion.php"); //Contiene funcion que conecta a la base de datos
require_once("config/database.php");

$queryclose = mysqli_query($mysqli, "SELECT * FROM apertura_cierre where id_cierre = 1") 
or die('error: '.mysqli_error($mysqli));
$rows  = mysqli_num_rows($queryclose);
$data  = mysqli_fetch_assoc($queryclose);
$bandera = $data['status_cierre'];
/*print_r($bandera);
die();*/

if($bandera == 1) {
	echo '<script>
                alert("EL SISTEMA SE ENCUENTRA CERRADO POR EL ADMINISTRADOR");
                window.location = "https://bonustrade.casatequilaarandas.com/welcome.php";
          </script>';     
    return;
}
?>
<!DOCTYPE html>
<html lang="en">

<head>
	<?php include("head.php"); ?>
</head>

<body>
	<?php
	include("navbar.php");
	?>
	<div class="container">
		<div class="panel panel-info">
			<div class="panel-heading">
				<h4><i class='glyphicon glyphicon-edit'></i> Nueva Bonificacion</h4>
				<?php
				//$sql_TMP=mysqli_query($con,"delete from tmp ");
				?>
			</div>
			<div class="panel-body">
				<?php
				include("modal/buscar_productos.php");
				include("modal/registro_clientes.php");
				include("modal/registro_productos.php");
				?>
				
				
				<div class="container-fluid">
					<form class="form-horizontal" role="form" id="datos_factura">
						<div class="form-group row">
							<label for="nombre_cliente" class="col-md-1 control-label">Cliente</label>
							<div class="col-md-3">
								<!--<input type="text" class="form-control input-sm" id="nombre_cliente" placeholder="Selecciona un CDC" required>-->
								<select class="form-control input-sm js-example-basic-single" id="drpCDC" required>
									<option disabled selected value> -- select an option -- </option>

									<?php
									if (/*$_SESSION['permiso'] == 1 || $_SESSION['permiso'] == 4 ||*/ $_SESSION['permiso'] == 2) {

										$sql_cdc = mysqli_query($con, "select * from clientes, users where clientes.status_cliente = 1 
															and users.user_id = clientes.ejecutivo_cliente
																												
															order by clientes.nombre_cliente
															");
										while ($rw = mysqli_fetch_array($sql_cdc)) {
											$id_cliente = $rw["id_cliente"];
											$nombre_cliente = $rw["nombre_cliente"];
											$tel1 = $rw["poblacion_cliente"];
											$mail = $rw['firstname'] . " " . $rw["lastname"];
											$tnegocio1 = $rw["tnegocio"];




									?>
											<option value="<?php echo $id_cliente ?>" data-tel="<?php echo $tel1 ?>" data-mail="<?php echo $mail ?>" data-tnegocio="<?php echo $tnegocio1 ?>"> <?php echo $nombre_cliente ?></option>
										<?php
										}
										?>

									<?php

									} else {
									?>
										<?php
										$sql_cdc = mysqli_query($con, "select * from clientes, users where clientes.status_cliente = 1 
															and users.user_id = clientes.ejecutivo_cliente
														    and users.user_id='$_SESSION[user_id]'
															order by clientes.nombre_cliente
															");
										while ($rw = mysqli_fetch_array($sql_cdc)) {
											$id_cliente = $rw["id_cliente"];
											$nombre_cliente = $rw["nombre_cliente"];
											$tel1 = $rw["poblacion_cliente"];
											$mail = $rw['firstname'] . " " . $rw["lastname"];
											$tnegocio1 = $rw["tnegocio"];
										?>
										
										
										
											<option value="<?php echo $id_cliente ?>" data-tel="<?php echo $tel1 ?>" data-mail="<?php echo $mail ?>" data-tnegocio="<?php echo $tnegocio1 ?>"> <?php echo $nombre_cliente ?></option>
										<?php
										}
										?>

									<?php
									}
									?>

									
									
									
										<?php 
									?>




								</select>
								<input id="id_cliente" type='hidden'>
							</div>
							<label for="tel1" class="col-md-1 control-label">Poblacion</label>
							<div class="col-md-2">
								<input type="text" class="form-control input-sm" id="tel1" placeholder="Zona" readonly>
							</div>
							
							<label for="tnegocio" class="col-md-1 control-label">Negocio</label>
								<div class="col-md-3">
								<input type="text" class="form-control input-sm" id="tnegocio1" placeholder="Tipo negocio" readonly>
								</div>

				<!--		-->

						</div>
						<div class="form-group row">
							<label for="empresa" class="col-md-1 control-label">Mayorista</label>
							<div class="col-md-3">
								<select class="form-control input-sm js-example-basic-single" id="drpMayorista" required>
									<option disabled selected value> -- select an option -- </option>
									<?php
									$sql_mayorista = mysqli_query($con, "select * from mayorista where status_mayorista = 1 order by nombre_mayorista ");
									while ($rw = mysqli_fetch_array($sql_mayorista)) {
										$id_mayorista = $rw["id_mayorista"];
										$nombre_mayorista = $rw["nombre_mayorista"];
									?>
										<option value="<?php echo $id_mayorista ?>"><?php echo $nombre_mayorista ?></option>
									<?php
									}
									?>
								</select>
								<input id="id_mayorista" type='hidden'>
							</div>


							<label for="mail" class="col-md-1 control-label">Ejecutivo</label>
							<div class="col-md-2">
								<input type="text" class="form-control input-sm" id="mail" placeholder="Ejecutivo asignado" readonly>
							</div>
							
							



							<label for="observaciones" class="col-md-1 control-label">Bimestre </label>
							<div class="col-md-3">
								<select class="form-control input-sm" id="observaciones" required>
								    <?php
									  $sql_bimestre = mysqli_query($con, "select * from periodo where status_periodo = 1 ");
									  while ($rw = mysqli_fetch_array($sql_bimestre)) {
									  $periodo = $rw["nombre_periodo"];
									   ?>
									   <option value="<?php echo $periodo?>"><?php echo $periodo?></option>
									            <?php
									            }
									            ?>
								<!--	<option value=""> Selecciona un mes o bimestre </option>
									<option value="	ENE - FEB ">ENE-FEB</option>
									<option value="	MAR - ABR ">MAR-ABR</option>
									<option value="	MAY - JUN ">MAY-JUN</option>
									<option value="	JUL - AGO ">JUL-AGO</option>
									<option value="	SEP - OCT ">SEPT-OCT</option>
									<option value="	NOV - DIC ">NOV-DIC</option>
									<option value="	ENERO	">	ENERO	</option>
									<option value="	FEBRERO	">	FEBRERO	</option>
									<option value="	MARZO	">	MARZO	</option>
									<option value="	ABRIL	">	ABRIL	</option>
									<option value="	MAYO	">	MAYO	</option>
									<option value=" JUNIO	">	JUNIO	</option>
									<option value="	JULIO	">	JULIO	</option>
									<option value="	AGOSTO	">	AGOSTO	</option>
									<option value="	SEPTIEMBRE	">	SEPTIEMBRE	</option>
									<option value=" OCTUBRE	">	OCTUBRE	</option>
									<option value="	NOVIEMBRE	">	NOVIEMBRE	</option>
									<option value="	DICIEMBRE	">	DICIEMBRE	</option>-->
								</select>
							</div>



						</div>
						
					


						<div class="form-group row">

							<label for="observaciones2" class="col-md-1 control-label">Anio</label>
							<div class="col-md-3">
								<select class="form-control input-sm" id="observaciones2" required>
								     <?php
									            $sql_anio = mysqli_query($con, "select * from anio where status_anio = 1 ");
									            while ($rw = mysqli_fetch_array($sql_anio)) {
										     
										        $anio = $rw["nombre_anio"];
									            ?>
										        <option value="<?php echo $anio?>"><?php echo $anio?></option>
									            <?php
									            }
									            ?>
								<!--	<option value="2019"> 2019 </option>
									<option value="2018"> 2018 </option>
									<option value="2021"> 2021 </option>
									<option value="2023"> 2023 </option>
									<option value="2022"> 2022 </option>--> 
								
									

								</select>
							</div>


							<label for="tel2" class="col-md-1 control-label">Fecha</label>
							<div class="col-md-2">
								<!--<input type="text" class="form-control input-sm" id="fecha_factura" value="<?php echo $fecha_factura; ?>">-->
								<input type="mail" class="form-control input-sm" id="fecha" value="<?php echo date("d/m/Y"); ?>" readonly>
							</div>

							<?php
							$query = mysqli_query($con, "SELECT * FROM users WHERE user_id='$_SESSION[user_id]'");
							while ($rw = mysqli_fetch_array($query)) {
								$user_id = $rw["user_id"];
								$firstname = $rw["firstname"];
							}
							?>


							<div class="form-group row">
							    
							    	<label for="zona" class="col-md-1 control-label">Zona</label>
							<div class="col-md-3">
									<select class="form-control input-sm js-example-basic-single" id="drpPoblacion" required>
									<option disabled selected value> -- select an option -- </option>
									<?php
									$sql_poblacion = mysqli_query($con, "select * from zona where status_zona = 1 order by nombre_zona ");
									while ($rw = mysqli_fetch_array($sql_poblacion)) {
										$zona = $rw["id_zona"];
										$nombre_zona = $rw["nombre_zona"];
									?>
										<option value="<?php echo $zona ?>"><?php echo $nombre_zona ?></option>
									<?php
									}
									?>
								</select>
								<input id="zona" type='hidden'>
							</div>
							</div>
							
						<!--	<div class="form-group row">
							    	<label for="UsuarioCaptura" class="col-md-1 control-label">Usuario</label>
								<div class="col-md-3">
									
									<input type="text" class="form-control" value="<?php echo $firstname; ?>" disabled name="drpUsuario" id="drpUsuario" required>
									<input id="user_id" value="<?php echo $user_id; ?>" type='hidden'>

								</div>
								
						  	  </div>-->
							</div>

                          
							<div class="form-group row">
								<label for="condiciones" class="col-md-1 control-label">Factura</label>
								<div class="col-md-10">
									<input type="text" class="form-control input-sm" id="condiciones" placeholder="Ingresa Factura">
								</div>
							</div>

							<div class="form-group row">
								<label for="condiciones2" class="col-md-1 control-label">Notas</label>
								<div class="col-md-10">
									<input type="text" class="form-control input-sm" id="condiciones2" placeholder="Ingresa Notas de credito">
								</div>
							</div>

							<div class="form-group row">
								<label for="comentarios" class="col-md-1 control-label">Comentarios</label>
								<div class="col-md-10">
									<textarea id="comentarios" class="form-control" rows="5" cols="128" placeholder="Comentarios adicionales"></textarea>
								</div>
							</div>
						</div>
						<div class="pull-right">
							<button type="button" class="btn btn-info" data-toggle="modal" data-target="#myModal">
								<span class="glyphicon glyphicon-search"></span> Agregar productos
							</button>
							<button type="submit" class="btn btn-info" data-toggle="modal" data-target="#myModal">
								<span class="glyphicon glyphicon-print"></span> Guardar / Imprimir
							</button>
						</div>
					</form>

					<div id="resultados" class='col-md-12' style="margin-top:10px"></div><!-- Carga los datos ajax -->
					</div>
			</div>
		</div>
		<div class="row-fluid">
			<div class="col-md-12">




			</div>
		</div>
	</div>
	<hr>
	<?php
	include("footer.php");
	?>
	<script type="text/javascript" src="js/VentanaCentrada.js"></script>
	<script type="text/javascript" src="js/nueva_factura.js"></script>
	<link rel="stylesheet" href="//code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css">
	<script src="//code.jquery.com/ui/1.11.4/jquery-ui.js"></script>
	<script type="text/javascript" src="js/select2.min.js"></script>
	<link rel="stylesheet" type="text/css" href="css/select2.min.css">
	<script>
		$(document).ready(function() {
			$("#drpCDC").select2({
				language: {
					noResults: function(params) {
						return "No se encontraron resultados.";
					}
				},
				placeholder: "Selecciona un CDC",
				allowClear: "true"
			});

			$("#drpCDC").change(function() {
				var idCte = $(this).val();
				var element = $(this).find('option:selected');
				var tel = element.attr("data-tel");
				var mail = element.attr("data-mail");
				var tnegocio = element.attr("data-tnegocio");
				$('#id_cliente').val(idCte);
				$('#tel1').val(tel);
				$('#mail').val(mail);
				$('#tnegocio1').val(tnegocio);
			});
		});

		$(document).ready(function() {
			$("#drpMayorista").select2({
				language: {
					noResults: function(params) {
						return "No se encontraron resultados.";
					}
				},
				placeholder: "Selecciona un Mayorista",
				allowClear: "true"
			});

			$("#drpMayorista").change(function() {
				var idMyt = $(this).val();
				var element = $(this).find('option:selected');
				var nombre_mayorista = element.attr("data-nombre_mayorista");

				$('#id_mayorista').val(idMyt);
				$('#nombre_mayorista').val(nombre_mayorista);

			});
		});

		$(document).ready(function() {
			$("#drpPoblacion").select2({
				language: {
					noResults: function(params) {
						return "No se encontraron resultados.";
					}
				},
				placeholder: "Selecciona una poblacion",
				allowClear: "true"
			});

			$("#drpPoblacion").change(function() {
				var idPob = $(this).val();
				var element = $(this).find('option:selected');
				var nombre_zona = element.attr("data-nombre_zona");

				$('#zona').val(idPob);
				$('#nombre_zona').val(nombre_zona);

			});
		});

		$(document).ready(function() {
			$("#drpUsuario").select2({
				language: {
					noResults: function(params) {
						return "No se encontraron resultados.";
					}
				},
				placeholder: "Usuario que captura",
				allowClear: "true"
			});

			$("#drpUsuario").change(function() {
				var idUsr = $(this).val();
				var element = $(this).find('option:selected');
				var firstname = element.attr("data-firstname");

				$('#user_id').val(idUsr);
				$('#firstname').val(firstname);

			});
		});

	
	</script>

</body>

</html>